//
// C++ Interface: searcherconfigwidget
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SEARCHERCONFIGWIDGET_H
#define SEARCHERCONFIGWIDGET_H

#include <qwidget.h>

#include <kurllabel.h>

class searcher;
/**
	@author Thach Nguyen <thach.nguyen@rmit.edu.au>
*/
class SearcherConfigWidget : public QWidget
{
Q_OBJECT
public:
    SearcherConfigWidget(QWidget *parent = 0);

    ~SearcherConfigWidget();
	void setSearcher(searcher *s) { m_searcher = s; }
	virtual void updateSearcher() = 0;
protected:
	QWidget* optionsWidget() { return m_optionsWidget; }
	searcher* m_searcher;
private:
	QWidget* m_optionsWidget;
};



#endif
